org.eclipse.viatra.query.runtime.rete.recipes

## Interface RecipesPackage.Literals

- Enclosing interface:
    RecipesPackage

      public static interface RecipesPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EDataType` | `AGGREGATION_OPERATOR` The meta object literal for the 'Aggregation Operator' data type.
    `static org.eclipse.emf.ecore.EClass` | `AGGREGATOR_INDEXER_RECIPE` The meta object literal for the '`Aggregator Indexer Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `ALPHA_RECIPE` The meta object literal for the '`Alpha Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `ANTI_JOIN_RECIPE` The meta object literal for the '`Anti Join Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `BETA_RECIPE` The meta object literal for the '`Beta Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `BETA_RECIPE__LEFT_PARENT` The meta object literal for the 'Left Parent' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `BETA_RECIPE__RIGHT_PARENT` The meta object literal for the 'Right Parent' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `CHECK_RECIPE` The meta object literal for the '`Check Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `CHECK_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EClass` | `CONSTANT_RECIPE` The meta object literal for the '`Constant Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `CONSTANT_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `CONSTANT_RECIPE__CONSTANT_VALUES` The meta object literal for the 'Constant Values' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `COUNT_AGGREGATOR_RECIPE` The meta object literal for the '`Count Aggregator Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `DISCRIMINATOR_BUCKET_RECIPE` The meta object literal for the '`Discriminator Bucket Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `DISCRIMINATOR_BUCKET_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `DISCRIMINATOR_BUCKET_RECIPE__BUCKET_KEY` The meta object literal for the 'Bucket Key' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `DISCRIMINATOR_DISPATCHER_RECIPE` The meta object literal for the '`Discriminator Dispatcher Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `DISCRIMINATOR_DISPATCHER_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `DISCRIMINATOR_DISPATCHER_RECIPE__DISCRIMINATION_COLUMN_INDEX` The meta object literal for the 'Discrimination Column Index' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `EQUALITY_FILTER_RECIPE` The meta object literal for the '`Equality Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `EQUALITY_FILTER_RECIPE__INDICES` The meta object literal for the 'Indices' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `EVAL_RECIPE` The meta object literal for the '`Eval Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `EVAL_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `EVAL_RECIPE__UNWINDING` The meta object literal for the 'Unwinding' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `EXISTENCE_JOIN_RECIPE` The meta object literal for the '`Existence Join Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `EXISTENCE_JOIN_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION_DEFINITION` The meta object literal for the '`Expression Definition`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION_DEFINITION__EVALUATOR` The meta object literal for the 'Evaluator' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION_ENFORCER_RECIPE` The meta object literal for the '`Expression Enforcer Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION_ENFORCER_RECIPE__CACHE_OUTPUT` The meta object literal for the 'Cache Output' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION_ENFORCER_RECIPE__EXPRESSION` The meta object literal for the 'Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES` The meta object literal for the 'Mapped Indices' map feature.
    `static org.eclipse.emf.ecore.EClass` | `FILTER_RECIPE` The meta object literal for the '`Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `FILTER_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EDataType` | `INDEX` The meta object literal for the 'Index' data type.
    `static org.eclipse.emf.ecore.EClass` | `INDEXER_BASED_AGGREGATOR_RECIPE` The meta object literal for the '`Indexer Based Aggregator Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `INDEXER_BASED_AGGREGATOR_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `INDEXER_BASED_AGGREGATOR_RECIPE__PARENT` The meta object literal for the 'Parent' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `INDEXER_RECIPE` The meta object literal for the '`Indexer Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `INDEXER_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `INDEXER_RECIPE__MASK` The meta object literal for the 'Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `INEQUALITY_FILTER_RECIPE` The meta object literal for the '`Inequality Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `INEQUALITY_FILTER_RECIPE__INEQUALS` The meta object literal for the 'Inequals' attribute list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INEQUALITY_FILTER_RECIPE__SUBJECT` The meta object literal for the 'Subject' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `INPUT_FILTER_RECIPE` The meta object literal for the '`Input Filter Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_FILTER_RECIPE__INPUT_KEY` The meta object literal for the 'Input Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_FILTER_RECIPE__KEY_ID` The meta object literal for the 'Key ID' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `INPUT_FILTER_RECIPE__MASK` The meta object literal for the 'Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `INPUT_RECIPE` The meta object literal for the '`Input Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `INPUT_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_RECIPE__INPUT_KEY` The meta object literal for the 'Input Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_RECIPE__KEY_ARITY` The meta object literal for the 'Key Arity' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `INPUT_RECIPE__KEY_ID` The meta object literal for the 'Key ID' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `JOIN_RECIPE` The meta object literal for the '`Join Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `JOIN_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK` The meta object literal for the 'Right Parent Complementary Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `MASK` The meta object literal for the '`Mask`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `MASK__SOURCE_ARITY` The meta object literal for the 'Source Arity' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `MASK__SOURCE_INDICES` The meta object literal for the 'Source Indices' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `MONOTONICITY_INFO` The meta object literal for the '`Monotonicity Info`' class.
    `static org.eclipse.emf.ecore.EReference` | `MONOTONICITY_INFO__CORE_MASK` The meta object literal for the 'Core Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `MONOTONICITY_INFO__POSET_COMPARATOR` The meta object literal for the 'Poset Comparator' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `MONOTONICITY_INFO__POSET_MASK` The meta object literal for the 'Poset Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `MULTI_PARENT_NODE_RECIPE` The meta object literal for the '`Multi Parent Node Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `MULTI_PARENT_NODE_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `MULTI_PARENT_NODE_RECIPE__PARENTS` The meta object literal for the 'Parents' reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PRODUCTION_RECIPE` The meta object literal for the '`Production Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `PRODUCTION_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `PRODUCTION_RECIPE__MAPPED_INDICES` The meta object literal for the 'Mapped Indices' map feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PRODUCTION_RECIPE__PATTERN` The meta object literal for the 'Pattern' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PRODUCTION_RECIPE__PATTERN_FQN` The meta object literal for the 'Pattern FQN' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PROJECTION_INDEXER_RECIPE` The meta object literal for the '`Projection Indexer Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `REDERIVABLE_NODE_RECIPE` The meta object literal for the '`Rederivable Node Recipe`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `REDERIVABLE_NODE_RECIPE__DELETE_REDERIVE_EVALUATION` The meta object literal for the 'Delete Rederive Evaluation' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `REDERIVABLE_NODE_RECIPE__OPTIONAL_MONOTONICITY_INFO` The meta object literal for the 'Optional Monotonicity Info' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `RETE_NODE_RECIPE` The meta object literal for the '`Rete Node Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `RETE_NODE_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `RETE_NODE_RECIPE__EQUIVALENCE_CLASS_IDS` The meta object literal for the 'Equivalence Class IDs' attribute list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `RETE_NODE_RECIPE__TRACE_INFO` The meta object literal for the 'Trace Info' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `RETE_RECIPE` The meta object literal for the '`Rete Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `RETE_RECIPE__RECIPE_NODES` The meta object literal for the 'Recipe Nodes' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `SEMI_JOIN_RECIPE` The meta object literal for the '`Semi Join Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `SINGLE_COLUMN_AGGREGATOR_RECIPE` The meta object literal for the '`Single Column Aggregator Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `SINGLE_COLUMN_AGGREGATOR_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EAttribute` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__AGGREGABLE_INDEX` The meta object literal for the 'Aggregable Index' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__GROUP_BY_MASK` The meta object literal for the 'Group By Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `SINGLE_COLUMN_AGGREGATOR_RECIPE__MULTISET_AGGREGATION_OPERATOR` The meta object literal for the 'Multiset Aggregation Operator' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `SINGLE_PARENT_NODE_RECIPE` The meta object literal for the '`Single Parent Node Recipe`' class.
    `static org.eclipse.emf.ecore.EReference` | `SINGLE_PARENT_NODE_RECIPE__PARENT` The meta object literal for the 'Parent' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `STRING_INDEX_MAP_ENTRY` The meta object literal for the '`String Index Map Entry`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_INDEX_MAP_ENTRY__KEY` The meta object literal for the 'Key' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_INDEX_MAP_ENTRY__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TRANSITIVE_CLOSURE_RECIPE` The meta object literal for the '`Transitive Closure Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `TRANSITIVE_CLOSURE_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EClass` | `TRANSPARENT_RECIPE` The meta object literal for the '`Transparent Recipe`' class.
    `static org.eclipse.emf.ecore.EClass` | `TRIMMER_RECIPE` The meta object literal for the '`Trimmer Recipe`' class.
    `static org.eclipse.emf.ecore.EOperation` | `TRIMMER_RECIPE___GET_ARITY` The meta object literal for the 'Get Arity' operation.
    `static org.eclipse.emf.ecore.EReference` | `TRIMMER_RECIPE__MASK` The meta object literal for the 'Mask' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `UNIQUENESS_ENFORCER_RECIPE` The meta object literal for the '`Uniqueness Enforcer Recipe`' class.

- - ### Field Detail

    - #### RETE_RECIPE

          static final org.eclipse.emf.ecore.EClass RETE_RECIPE

      The meta object literal for the '`Rete Recipe`' class.
      See Also:
        `ReteRecipeImpl`, `RecipesPackageImpl.getReteRecipe()`
      Generated:

    - #### RETE_RECIPE__RECIPE_NODES

          static final org.eclipse.emf.ecore.EReference RETE_RECIPE__RECIPE_NODES

      The meta object literal for the 'Recipe Nodes' containment reference list feature.
      Generated:

    - #### RETE_NODE_RECIPE

          static final org.eclipse.emf.ecore.EClass RETE_NODE_RECIPE

      The meta object literal for the '`Rete Node Recipe`' class.
      See Also:
        `ReteNodeRecipeImpl`, `RecipesPackageImpl.getReteNodeRecipe()`
      Generated:

    - #### RETE_NODE_RECIPE__TRACE_INFO

          static final org.eclipse.emf.ecore.EAttribute RETE_NODE_RECIPE__TRACE_INFO

      The meta object literal for the 'Trace Info' attribute feature.
      Generated:

    - #### RETE_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

          static final org.eclipse.emf.ecore.EAttribute RETE_NODE_RECIPE__EQUIVALENCE_CLASS_IDS

      The meta object literal for the 'Equivalence Class IDs' attribute list feature.
      Since:
        1.3
      Generated:

    - #### RETE_NODE_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation RETE_NODE_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### SINGLE_PARENT_NODE_RECIPE

          static final org.eclipse.emf.ecore.EClass SINGLE_PARENT_NODE_RECIPE

      The meta object literal for the '`Single Parent Node Recipe`' class.
      See Also:
        `SingleParentNodeRecipeImpl`, `RecipesPackageImpl.getSingleParentNodeRecipe()`
      Generated:

    - #### SINGLE_PARENT_NODE_RECIPE__PARENT

          static final org.eclipse.emf.ecore.EReference SINGLE_PARENT_NODE_RECIPE__PARENT

      The meta object literal for the 'Parent' reference feature.
      Generated:

    - #### ALPHA_RECIPE

          static final org.eclipse.emf.ecore.EClass ALPHA_RECIPE

      The meta object literal for the '`Alpha Recipe`' class.
      See Also:
        `AlphaRecipeImpl`, `RecipesPackageImpl.getAlphaRecipe()`
      Generated:

    - #### MULTI_PARENT_NODE_RECIPE

          static final org.eclipse.emf.ecore.EClass MULTI_PARENT_NODE_RECIPE

      The meta object literal for the '`Multi Parent Node Recipe`' class.
      See Also:
        `MultiParentNodeRecipeImpl`, `RecipesPackageImpl.getMultiParentNodeRecipe()`
      Generated:

    - #### MULTI_PARENT_NODE_RECIPE__PARENTS

          static final org.eclipse.emf.ecore.EReference MULTI_PARENT_NODE_RECIPE__PARENTS

      The meta object literal for the 'Parents' reference list feature.
      Generated:

    - #### MULTI_PARENT_NODE_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation MULTI_PARENT_NODE_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### MONOTONICITY_INFO

          static final org.eclipse.emf.ecore.EClass MONOTONICITY_INFO

      The meta object literal for the '`Monotonicity Info`' class.
      See Also:
        `MonotonicityInfoImpl`, `RecipesPackageImpl.getMonotonicityInfo()`
      Generated:

    - #### MONOTONICITY_INFO__CORE_MASK

          static final org.eclipse.emf.ecore.EReference MONOTONICITY_INFO__CORE_MASK

      The meta object literal for the 'Core Mask' containment reference feature.
      Generated:

    - #### MONOTONICITY_INFO__POSET_MASK

          static final org.eclipse.emf.ecore.EReference MONOTONICITY_INFO__POSET_MASK

      The meta object literal for the 'Poset Mask' containment reference feature.
      Generated:

    - #### MONOTONICITY_INFO__POSET_COMPARATOR

          static final org.eclipse.emf.ecore.EAttribute MONOTONICITY_INFO__POSET_COMPARATOR

      The meta object literal for the 'Poset Comparator' attribute feature.
      Generated:

    - #### UNIQUENESS_ENFORCER_RECIPE

          static final org.eclipse.emf.ecore.EClass UNIQUENESS_ENFORCER_RECIPE

      The meta object literal for the '`Uniqueness Enforcer Recipe`' class.
      See Also:
        `UniquenessEnforcerRecipeImpl`, `RecipesPackageImpl.getUniquenessEnforcerRecipe()`
      Generated:

    - #### PRODUCTION_RECIPE

          static final org.eclipse.emf.ecore.EClass PRODUCTION_RECIPE

      The meta object literal for the '`Production Recipe`' class.
      See Also:
        `ProductionRecipeImpl`, `RecipesPackageImpl.getProductionRecipe()`
      Generated:

    - #### PRODUCTION_RECIPE__MAPPED_INDICES

          static final org.eclipse.emf.ecore.EReference PRODUCTION_RECIPE__MAPPED_INDICES

      The meta object literal for the 'Mapped Indices' map feature.
      Generated:

    - #### PRODUCTION_RECIPE__PATTERN

          static final org.eclipse.emf.ecore.EAttribute PRODUCTION_RECIPE__PATTERN

      The meta object literal for the 'Pattern' attribute feature.
      Generated:

    - #### PRODUCTION_RECIPE__PATTERN_FQN

          static final org.eclipse.emf.ecore.EAttribute PRODUCTION_RECIPE__PATTERN_FQN

      The meta object literal for the 'Pattern FQN' attribute feature.
      Generated:

    - #### PRODUCTION_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation PRODUCTION_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### INDEXER_RECIPE

          static final org.eclipse.emf.ecore.EClass INDEXER_RECIPE

      The meta object literal for the '`Indexer Recipe`' class.
      See Also:
        `IndexerRecipeImpl`, `RecipesPackageImpl.getIndexerRecipe()`
      Generated:

    - #### INDEXER_RECIPE__MASK

          static final org.eclipse.emf.ecore.EReference INDEXER_RECIPE__MASK

      The meta object literal for the 'Mask' containment reference feature.
      Generated:

    - #### INDEXER_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation INDEXER_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### PROJECTION_INDEXER_RECIPE

          static final org.eclipse.emf.ecore.EClass PROJECTION_INDEXER_RECIPE

      The meta object literal for the '`Projection Indexer Recipe`' class.
      See Also:
        `ProjectionIndexerRecipeImpl`, `RecipesPackageImpl.getProjectionIndexerRecipe()`
      Generated:

    - #### AGGREGATOR_INDEXER_RECIPE

          static final org.eclipse.emf.ecore.EClass AGGREGATOR_INDEXER_RECIPE

      The meta object literal for the '`Aggregator Indexer Recipe`' class.
      See Also:
        `AggregatorIndexerRecipeImpl`, `RecipesPackageImpl.getAggregatorIndexerRecipe()`
      Generated:

    - #### BETA_RECIPE

          static final org.eclipse.emf.ecore.EClass BETA_RECIPE

      The meta object literal for the '`Beta Recipe`' class.
      See Also:
        `BetaRecipeImpl`, `RecipesPackageImpl.getBetaRecipe()`
      Generated:

    - #### BETA_RECIPE__LEFT_PARENT

          static final org.eclipse.emf.ecore.EReference BETA_RECIPE__LEFT_PARENT

      The meta object literal for the 'Left Parent' containment reference feature.
      Generated:

    - #### BETA_RECIPE__RIGHT_PARENT

          static final org.eclipse.emf.ecore.EReference BETA_RECIPE__RIGHT_PARENT

      The meta object literal for the 'Right Parent' containment reference feature.
      Generated:

    - #### MASK

          static final org.eclipse.emf.ecore.EClass MASK

      The meta object literal for the '`Mask`' class.
      See Also:
        `MaskImpl`, `RecipesPackageImpl.getMask()`
      Generated:

    - #### MASK__SOURCE_INDICES

          static final org.eclipse.emf.ecore.EAttribute MASK__SOURCE_INDICES

      The meta object literal for the 'Source Indices' attribute list feature.
      Generated:

    - #### MASK__SOURCE_ARITY

          static final org.eclipse.emf.ecore.EAttribute MASK__SOURCE_ARITY

      The meta object literal for the 'Source Arity' attribute feature.
      Generated:

    - #### STRING_INDEX_MAP_ENTRY

          static final org.eclipse.emf.ecore.EClass STRING_INDEX_MAP_ENTRY

      The meta object literal for the '`String Index Map Entry`' class.
      See Also:
        `StringIndexMapEntryImpl`, `RecipesPackageImpl.getStringIndexMapEntry()`
      Generated:

    - #### STRING_INDEX_MAP_ENTRY__KEY

          static final org.eclipse.emf.ecore.EAttribute STRING_INDEX_MAP_ENTRY__KEY

      The meta object literal for the 'Key' attribute feature.
      Generated:

    - #### STRING_INDEX_MAP_ENTRY__VALUE

          static final org.eclipse.emf.ecore.EAttribute STRING_INDEX_MAP_ENTRY__VALUE

      The meta object literal for the 'Value' attribute feature.
      Generated:

    - #### INPUT_RECIPE

          static final org.eclipse.emf.ecore.EClass INPUT_RECIPE

      The meta object literal for the '`Input Recipe`' class.
      See Also:
        `InputRecipeImpl`, `RecipesPackageImpl.getInputRecipe()`
      Generated:

    - #### INPUT_RECIPE__INPUT_KEY

          static final org.eclipse.emf.ecore.EAttribute INPUT_RECIPE__INPUT_KEY

      The meta object literal for the 'Input Key' attribute feature.
      Generated:

    - #### INPUT_RECIPE__KEY_ID

          static final org.eclipse.emf.ecore.EAttribute INPUT_RECIPE__KEY_ID

      The meta object literal for the 'Key ID' attribute feature.
      Generated:

    - #### INPUT_RECIPE__KEY_ARITY

          static final org.eclipse.emf.ecore.EAttribute INPUT_RECIPE__KEY_ARITY

      The meta object literal for the 'Key Arity' attribute feature.
      Generated:

    - #### INPUT_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation INPUT_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### CONSTANT_RECIPE

          static final org.eclipse.emf.ecore.EClass CONSTANT_RECIPE

      The meta object literal for the '`Constant Recipe`' class.
      See Also:
        `ConstantRecipeImpl`, `RecipesPackageImpl.getConstantRecipe()`
      Generated:

    - #### CONSTANT_RECIPE__CONSTANT_VALUES

          static final org.eclipse.emf.ecore.EAttribute CONSTANT_RECIPE__CONSTANT_VALUES

      The meta object literal for the 'Constant Values' attribute list feature.
      Generated:

    - #### CONSTANT_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation CONSTANT_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### TRANSITIVE_CLOSURE_RECIPE

          static final org.eclipse.emf.ecore.EClass TRANSITIVE_CLOSURE_RECIPE

      The meta object literal for the '`Transitive Closure Recipe`' class.
      See Also:
        `TransitiveClosureRecipeImpl`, `RecipesPackageImpl.getTransitiveClosureRecipe()`
      Generated:

    - #### TRANSITIVE_CLOSURE_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation TRANSITIVE_CLOSURE_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass FILTER_RECIPE

      The meta object literal for the '`Filter Recipe`' class.
      See Also:
        `FilterRecipeImpl`, `RecipesPackageImpl.getFilterRecipe()`
      Generated:

    - #### FILTER_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation FILTER_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### INEQUALITY_FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass INEQUALITY_FILTER_RECIPE

      The meta object literal for the '`Inequality Filter Recipe`' class.
      See Also:
        `InequalityFilterRecipeImpl`, `RecipesPackageImpl.getInequalityFilterRecipe()`
      Generated:

    - #### INEQUALITY_FILTER_RECIPE__SUBJECT

          static final org.eclipse.emf.ecore.EAttribute INEQUALITY_FILTER_RECIPE__SUBJECT

      The meta object literal for the 'Subject' attribute feature.
      Generated:

    - #### INEQUALITY_FILTER_RECIPE__INEQUALS

          static final org.eclipse.emf.ecore.EAttribute INEQUALITY_FILTER_RECIPE__INEQUALS

      The meta object literal for the 'Inequals' attribute list feature.
      Generated:

    - #### EQUALITY_FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass EQUALITY_FILTER_RECIPE

      The meta object literal for the '`Equality Filter Recipe`' class.
      See Also:
        `EqualityFilterRecipeImpl`, `RecipesPackageImpl.getEqualityFilterRecipe()`
      Generated:

    - #### EQUALITY_FILTER_RECIPE__INDICES

          static final org.eclipse.emf.ecore.EAttribute EQUALITY_FILTER_RECIPE__INDICES

      The meta object literal for the 'Indices' attribute list feature.
      Generated:

    - #### TRANSPARENT_RECIPE

          static final org.eclipse.emf.ecore.EClass TRANSPARENT_RECIPE

      The meta object literal for the '`Transparent Recipe`' class.
      See Also:
        `TransparentRecipeImpl`, `RecipesPackageImpl.getTransparentRecipe()`
      Generated:

    - #### TRIMMER_RECIPE

          static final org.eclipse.emf.ecore.EClass TRIMMER_RECIPE

      The meta object literal for the '`Trimmer Recipe`' class.
      See Also:
        `TrimmerRecipeImpl`, `RecipesPackageImpl.getTrimmerRecipe()`
      Generated:

    - #### TRIMMER_RECIPE__MASK

          static final org.eclipse.emf.ecore.EReference TRIMMER_RECIPE__MASK

      The meta object literal for the 'Mask' containment reference feature.
      Generated:

    - #### TRIMMER_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation TRIMMER_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### EXPRESSION_DEFINITION

          static final org.eclipse.emf.ecore.EClass EXPRESSION_DEFINITION

      The meta object literal for the '`Expression Definition`' class.
      See Also:
        `ExpressionDefinitionImpl`, `RecipesPackageImpl.getExpressionDefinition()`
      Generated:

    - #### EXPRESSION_DEFINITION__EVALUATOR

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION_DEFINITION__EVALUATOR

      The meta object literal for the 'Evaluator' attribute feature.
      Generated:

    - #### EXPRESSION_ENFORCER_RECIPE

          static final org.eclipse.emf.ecore.EClass EXPRESSION_ENFORCER_RECIPE

      The meta object literal for the '`Expression Enforcer Recipe`' class.
      See Also:
        `ExpressionEnforcerRecipeImpl`, `RecipesPackageImpl.getExpressionEnforcerRecipe()`
      Generated:

    - #### EXPRESSION_ENFORCER_RECIPE__EXPRESSION

          static final org.eclipse.emf.ecore.EReference EXPRESSION_ENFORCER_RECIPE__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.
      Generated:

    - #### EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES

          static final org.eclipse.emf.ecore.EReference EXPRESSION_ENFORCER_RECIPE__MAPPED_INDICES

      The meta object literal for the 'Mapped Indices' map feature.
      Generated:

    - #### EXPRESSION_ENFORCER_RECIPE__CACHE_OUTPUT

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION_ENFORCER_RECIPE__CACHE_OUTPUT

      The meta object literal for the 'Cache Output' attribute feature.
      Generated:

    - #### CHECK_RECIPE

          static final org.eclipse.emf.ecore.EClass CHECK_RECIPE

      The meta object literal for the '`Check Recipe`' class.
      See Also:
        `CheckRecipeImpl`, `RecipesPackageImpl.getCheckRecipe()`
      Generated:

    - #### CHECK_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation CHECK_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### EVAL_RECIPE

          static final org.eclipse.emf.ecore.EClass EVAL_RECIPE

      The meta object literal for the '`Eval Recipe`' class.
      See Also:
        `EvalRecipeImpl`, `RecipesPackageImpl.getEvalRecipe()`
      Generated:

    - #### EVAL_RECIPE__UNWINDING

          static final org.eclipse.emf.ecore.EAttribute EVAL_RECIPE__UNWINDING

      The meta object literal for the 'Unwinding' attribute feature.
      Since:
        2.4
      Generated:

    - #### EVAL_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation EVAL_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE

          static final org.eclipse.emf.ecore.EClass INDEXER_BASED_AGGREGATOR_RECIPE

      The meta object literal for the '`Indexer Based Aggregator Recipe`' class.
      See Also:
        `IndexerBasedAggregatorRecipeImpl`, `RecipesPackageImpl.getIndexerBasedAggregatorRecipe()`
      Generated:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE__PARENT

          static final org.eclipse.emf.ecore.EReference INDEXER_BASED_AGGREGATOR_RECIPE__PARENT

      The meta object literal for the 'Parent' containment reference feature.
      Generated:

    - #### INDEXER_BASED_AGGREGATOR_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation INDEXER_BASED_AGGREGATOR_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### COUNT_AGGREGATOR_RECIPE

          static final org.eclipse.emf.ecore.EClass COUNT_AGGREGATOR_RECIPE

      The meta object literal for the '`Count Aggregator Recipe`' class.
      See Also:
        `CountAggregatorRecipeImpl`, `RecipesPackageImpl.getCountAggregatorRecipe()`
      Generated:

    - #### JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass JOIN_RECIPE

      The meta object literal for the '`Join Recipe`' class.
      See Also:
        `JoinRecipeImpl`, `RecipesPackageImpl.getJoinRecipe()`
      Generated:

    - #### JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK

          static final org.eclipse.emf.ecore.EReference JOIN_RECIPE__RIGHT_PARENT_COMPLEMENTARY_MASK

      The meta object literal for the 'Right Parent Complementary Mask' containment reference feature.
      Generated:

    - #### JOIN_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation JOIN_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### EXISTENCE_JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass EXISTENCE_JOIN_RECIPE

      The meta object literal for the '`Existence Join Recipe`' class.
      See Also:
        `ExistenceJoinRecipeImpl`, `RecipesPackageImpl.getExistenceJoinRecipe()`
      Generated:

    - #### EXISTENCE_JOIN_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation EXISTENCE_JOIN_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### SEMI_JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass SEMI_JOIN_RECIPE

      The meta object literal for the '`Semi Join Recipe`' class.
      See Also:
        `SemiJoinRecipeImpl`, `RecipesPackageImpl.getSemiJoinRecipe()`
      Generated:

    - #### ANTI_JOIN_RECIPE

          static final org.eclipse.emf.ecore.EClass ANTI_JOIN_RECIPE

      The meta object literal for the '`Anti Join Recipe`' class.
      See Also:
        `AntiJoinRecipeImpl`, `RecipesPackageImpl.getAntiJoinRecipe()`
      Generated:

    - #### INPUT_FILTER_RECIPE

          static final org.eclipse.emf.ecore.EClass INPUT_FILTER_RECIPE

      The meta object literal for the '`Input Filter Recipe`' class.
      See Also:
        `InputFilterRecipeImpl`, `RecipesPackageImpl.getInputFilterRecipe()`
      Generated:

    - #### INPUT_FILTER_RECIPE__INPUT_KEY

          static final org.eclipse.emf.ecore.EAttribute INPUT_FILTER_RECIPE__INPUT_KEY

      The meta object literal for the 'Input Key' attribute feature.
      Generated:

    - #### INPUT_FILTER_RECIPE__KEY_ID

          static final org.eclipse.emf.ecore.EAttribute INPUT_FILTER_RECIPE__KEY_ID

      The meta object literal for the 'Key ID' attribute feature.
      Generated:

    - #### INPUT_FILTER_RECIPE__MASK

          static final org.eclipse.emf.ecore.EReference INPUT_FILTER_RECIPE__MASK

      The meta object literal for the 'Mask' containment reference feature.
      Generated:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE

          static final org.eclipse.emf.ecore.EClass SINGLE_COLUMN_AGGREGATOR_RECIPE

      The meta object literal for the '`Single Column Aggregator Recipe`' class.
      See Also:
        `SingleColumnAggregatorRecipeImpl`, `RecipesPackageImpl.getSingleColumnAggregatorRecipe()`
      Generated:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__MULTISET_AGGREGATION_OPERATOR

          static final org.eclipse.emf.ecore.EAttribute SINGLE_COLUMN_AGGREGATOR_RECIPE__MULTISET_AGGREGATION_OPERATOR

      The meta object literal for the 'Multiset Aggregation Operator' attribute feature.
      Generated:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__AGGREGABLE_INDEX

          static final org.eclipse.emf.ecore.EAttribute SINGLE_COLUMN_AGGREGATOR_RECIPE__AGGREGABLE_INDEX

      The meta object literal for the 'Aggregable Index' attribute feature.
      Generated:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE__GROUP_BY_MASK

          static final org.eclipse.emf.ecore.EReference SINGLE_COLUMN_AGGREGATOR_RECIPE__GROUP_BY_MASK

      The meta object literal for the 'Group By Mask' containment reference feature.
      Generated:

    - #### SINGLE_COLUMN_AGGREGATOR_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation SINGLE_COLUMN_AGGREGATOR_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE

          static final org.eclipse.emf.ecore.EClass DISCRIMINATOR_DISPATCHER_RECIPE

      The meta object literal for the '`Discriminator Dispatcher Recipe`' class.
      See Also:
        `DiscriminatorDispatcherRecipeImpl`, `RecipesPackageImpl.getDiscriminatorDispatcherRecipe()`
      Generated:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE__DISCRIMINATION_COLUMN_INDEX

          static final org.eclipse.emf.ecore.EAttribute DISCRIMINATOR_DISPATCHER_RECIPE__DISCRIMINATION_COLUMN_INDEX

      The meta object literal for the 'Discrimination Column Index' attribute feature.
      Generated:

    - #### DISCRIMINATOR_DISPATCHER_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation DISCRIMINATOR_DISPATCHER_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### DISCRIMINATOR_BUCKET_RECIPE

          static final org.eclipse.emf.ecore.EClass DISCRIMINATOR_BUCKET_RECIPE

      The meta object literal for the '`Discriminator Bucket Recipe`' class.
      See Also:
        `DiscriminatorBucketRecipeImpl`, `RecipesPackageImpl.getDiscriminatorBucketRecipe()`
      Generated:

    - #### DISCRIMINATOR_BUCKET_RECIPE__BUCKET_KEY

          static final org.eclipse.emf.ecore.EAttribute DISCRIMINATOR_BUCKET_RECIPE__BUCKET_KEY

      The meta object literal for the 'Bucket Key' attribute feature.
      Generated:

    - #### DISCRIMINATOR_BUCKET_RECIPE___GET_ARITY

          static final org.eclipse.emf.ecore.EOperation DISCRIMINATOR_BUCKET_RECIPE___GET_ARITY

      The meta object literal for the 'Get Arity' operation.
      Generated:

    - #### REDERIVABLE_NODE_RECIPE

          static final org.eclipse.emf.ecore.EClass REDERIVABLE_NODE_RECIPE

      The meta object literal for the '`Rederivable Node Recipe`' class.
      See Also:
        `RederivableNodeRecipeImpl`, `RecipesPackageImpl.getRederivableNodeRecipe()`
      Generated:

    - #### REDERIVABLE_NODE_RECIPE__DELETE_REDERIVE_EVALUATION

          static final org.eclipse.emf.ecore.EAttribute REDERIVABLE_NODE_RECIPE__DELETE_REDERIVE_EVALUATION

      The meta object literal for the 'Delete Rederive Evaluation' attribute feature.
      Generated:

    - #### REDERIVABLE_NODE_RECIPE__OPTIONAL_MONOTONICITY_INFO

          static final org.eclipse.emf.ecore.EReference REDERIVABLE_NODE_RECIPE__OPTIONAL_MONOTONICITY_INFO

      The meta object literal for the 'Optional Monotonicity Info' containment reference feature.
      Generated:

    - #### INDEX

          static final org.eclipse.emf.ecore.EDataType INDEX

      The meta object literal for the 'Index' data type.
      See Also:
        `Integer`, `RecipesPackageImpl.getIndex()`
      Generated:

    - #### AGGREGATION_OPERATOR

          static final org.eclipse.emf.ecore.EDataType AGGREGATION_OPERATOR

      The meta object literal for the 'Aggregation Operator' data type.
      See Also:
        `IMultisetAggregationOperator`, `RecipesPackageImpl.getAggregationOperator()`
      Generated: